## nginx configuration
## Ref: https://github.com/kubernetes/ingress/blob/master/controllers/nginx/configuration.md
##
controller:
  name: controller
  image:
    repository: quay.io/kubernetes-ingress-controller/nginx-ingress-controller
    tag: "{{ .nginx.version }}"

  config:
    ssl-protocols: TLSv1.2 TLSv1.3
  # Will add custom header to Nginx https://github.com/kubernetes/ingress-nginx/tree/master/docs/examples/customization/custom-headers
  headers: {}
  service:
    annotations: 
      metallb.universe.tf/allow-shared-ip: {{ .nginx.metallbShare }}

    type: LoadBalancer
    loadBalancerIP: "{{ .nginx.metallbIP }}"
    loadBalancerSourceRanges: []

    enableHttp: true
    enableHttps: true

  stats:
    enabled: true

  ## If controller.stats.enabled = true and controller.metrics.enabled = true, Prometheus metrics will be exported
  ##
  metrics:
    enabled: true

    service:
      annotations:
        prometheus.io/scrape: "true"
        prometheus.io/port: "10254"

    serviceMonitor:
      enabled: true
      additionalLabels: {}
      namespace: ""

